      program fagynap
c     Fogarasi Szilvia met2

c     v ltoz¢k

      integer k
c     ennyi nap van
      integer i,n
c     index
      real y(366)
c     h‹m‚rs‚kleti adatok
      real f
c     fagyos  tlagT
      real p
c     £jra, ha p=2
      real t

      write(*,80)
80    format('Ez a program egy h‹m‚rs‚kleti adatsor alaopj n',/,
     x' megmondja a fagyos napok  tlagh‹m‚rs‚klet‚t.')

c     adatok beolvas sa

14    continue
      write(*,71)
71    format('H ny napos adatsor?')
      read(*,72)k
72    format(i3)
      if((k.gt.1).and.(k.lt.366)) goto 11
      write(*,73)
73    format('A napok sz ma min. 2 ‚s max. 366 lehet.')
      goto 14
11    continue
      do 51 i=1,k
         write(*,74)i
74       format('Be¡rand¢ adat sorsz ma:',i3)
         read(*,75)y(i)
75       format(f6.0)
51    continue

c     sz mol s

      m=0
      t=0
      do 52 n=1,k
         if(y(n).gt.0) goto 12
         write(*,81)n
81       format('Fagyos nap:',i3)
         m=m+1
         t=t+y(n)
12    continue
52    continue

      f=t/m
      write(*,76)m,f
76    format('Ennyi fagyos nap volt:', i3,'  T( tlag)=', f6.2)


c     £jraind¡t:
      write(*,78)
78    format('éjra? 2')
      read(*,79)p
79    format(f6.0)
      if(p.eq.2) goto 14
      end
